server:
  port: ${SERVER_PORT:8080}

spring:
  application:
    name: qms
  jpa:
    database: mysql
    hibernate:
      ddl-auto: none
  datasource:
    url: ${SPRING_DATASOURCE_URL:jdbc:mysql://localhost:3306/qms?allowPublicKeyRetrieval=true&useSSL=false}
    username: ${SPRING_DATASOURCE_USERNAME:root}
    password: ${SPRING_DATASOURCE_PASSWORD:password}
  servlet:
    multipart:
      max-file-size: 100MB
      max-request-size: 100MB
  security:
    oauth2:
      client:
        registration:
          google:
            client-id: ${GOOGLE_CLIENT_ID:dummy-google-client-id}
  flyway:
    schemas: qms

jwt:
  header-title: Authorization
  token-prefix: Bearer
  secret-key: ${JWT_SECRET_KEY:a68uiaDQ0V3iLjF4DqMuS13GAVwkut55dlFbGCLyXTF}
  authorities-key: USER_AUTHORITIES
  token-validity-time: PT30M
tfa:
  label: QMS
  issuer: QMS
tenancy:
  default-code: DFLT
notifications:
  expo-url: https://exp.host/--/api/v2/push/send
  mock: ${NOTIFICATIONS_MOCK:true}
ads:
  upload-dir: ${ADS_UPLOAD_DIR:uploads/ads}
